YOOtheme Widgetkit 2

Společnost YOOtheme v lednu uvolnila další generaci svého nástroje velmi populárního rozšíření s názvem Widgetkit, a to konkrétně verze Widgetkit 2. První zásadní změnou, kterou YOOtheme provedl v tomto rozšíření, je zcela přepracovaný systém vytváření a správy jednotlivých Widgetů.

Výhodou rozšíření Widgetkit je jeho bohatá funkcionalita, která obsahuje rozličné Widgety jako je Slideshow, Switcher, Google mapy nebo Grid a Grid-Stack a podporuje načtení obsahu z WordPress, Joomla, ZOO, K2 a Woocommerce. Pojďme si nyní říci něco o nových věcech, které jsou ve Widgetkit 2.

Jednoduché a přehledné uživatelské rozhraní

Widgetkit 2 přichází s jednoduchým a přehledným uživatelským rozhraním, které se plně integruje do redakčních systémů Joomla! a WordPress.

yoo widgetkit 2 01

Vytvoření a vložení Widgetu ve třech krocích

Ve spodní části editoru budete mít po instalaci Widgetkit tlačítko "Widgetkit", díky kterému do obsahu snadno přidáme námi požadovaný obsah.

yoo widgetkit 2 00

Nyní si nejprve zvolíte požadovaný Widget, zvolíte si obsah a posléze pokud je potřeba změníte parametry Widgetu a dáte "insert" (vložit).

Zásadní změna od starší generace Widgetkit 1.5

Widgetkit 2 zcela od sebe odděluje obsah a Widget samotný. Můžete si vytvořit vlastní obsah nebo použít hotový obsah z Joomla případně WordPress a začít s ním pracovat.

Komplexní využití shortcodes

V dnešní době se jedná o velmi populární způsob práce s obsahem bez větších znalostí programování / kódování. Tento způsob byl převzat z WordPress, kde je tento styl již delší dobu dobře zaběhnutý.

Widgetkit 1.x sice již podporuje shortcode, ale nová generace ho posunuje o několik řádů výše s využitím shortcodu v komplexním pojetí.

Praktické použití shortcodes

Widgetkit potřebuje pro správné zobrazení obsahu v shortcodes dvě věci a to ID obsahu a název Widgetu a tedy například:

[widgetkit id="2" widget="map"]

Postaven s využitím UIkit

Widgetkit 2 je plně vytvořen a integrován s knihovnou UIkit. To je jedna z jeho výhod, neboť pokud používáte šablony od YOOtheme s Warp 7, budete mít plně Widgetkit sladěn se vzhledem Vaší prezentace.

Modulární a rozšířitelný

Widgetkit 2 je úmyslně modulární a rozšířitelný pro snadné přidávání vlastních Widgetů podle potřeby. Obsah i Widget jako takový jsou vytvořeny formou pluginů a jsou k nalezení ve složce:

administrator/components/com_widgetkit/plugins/

yoo widgetkit 2 02

Pokud chcete vytvořit vlastní obsah, stačí nyní do složky vložit příslušné pluginy pro obsah nebo Widget a začít používat. Pokud používáte šablonu s Warp 7, můžete také své pluginy nahrát přímo v šabloně a to:

JMÉNO ŠABLONY/widgetkit/content/JMÉNO-OBSAHU
JMÉNO-ŠABLONY/widgetkit/widgets/JMÉNO-WIDGETU

Aktualizace Widgetkit rozšíření 1 kliknutím

Pokud máte u YOOtheme vytvořen vlastní účet na základě kterého používáte jejich rozšíření a šablony, můžete do Widgetkit použít API key, který slouží právě pro aktualizace Vašich rozšíření přes Joomla aktualizátor. Pokud takový klíč nemáte, je nutné kontaktovat Vašeho dodavatele rozšíření nebo šablony, aby Vám provedl ruční aktualizaci pomocí "Správce rozšíření".

Vložení API key se provádí pomocí Rozšíření -> Správce pluginů, kde do vyhledávacího políčka zadáme například "Instal" a potvrdíme stiskem klávesy Enter.

Systém nám nalezne plugin s názvem "Installer - YOOtheme", který otevřeme a do prázdného textového inputu vložíme náš API key a potvrdíme stiskem tlačítka "Uložit a zavřít". Nyní máte Widgetkit napojen na účet a můžete provádět aktualizace.

Nelze provést aktualizaci ze staré generace Widgetkit 1.x na Widgetkit 2.x s obsahem

Bohužel v současné době společnost YOOtheme neposkytuje žádný oficiální návod nebo postup, jak provést aktualizaci již vytvořeného obsahu z verze Widgetkit 1.x na verzi Widgetkit 2.x, neboť obě verze používají jinak vytvořené a přizpůsobené Widgety, které se neslučují s předchozí nebo novou současnou generací rozšíření Widgetkit.

Také ani nelze používat rozšíření Widgetkit 1.x a Widgetkit 2.x současně na jedné instanci Joomla, a proto se musí uživatel rozhodnout, kterou verzi rozšíření bude nadále používat. Pokud ovšem jste spokojeni s funkcionalitou a provedením Widgetkit 1.x není potřeba ihned přecházet na novou generaci Widgetkit 2.x. Společnost YOOtheme doporučuje pro nové projekty již nasazovat novou generaci Widgetkit 2.